%define section free

Name:           sablecc
Version:        2.18.2
Release:        1jpp
Epoch:		0
Summary:        Sable Research Group's Compiler Compiler
License:        LGPL
URL:            http://www.sablecc.org/
Source0:        http://dl.sf.net/sablecc/sablecc-2.18.2-src.tar.gz
Source1:        %{name}.sh
Group:          Development/Compilers
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Distribution:	JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  ant, jpackage-utils >= 0:1.5
Requires:       jpackage-utils >= 0:1.5

%description
SableCC is an object-oriented framework that generates compilers (and
interpreters) in the Java programming language. This framework is based
on two fundamental design decisions. Firstly, the framework uses
object-oriented techniques to automatically build a strictly typed
abstract syntax tree that matches the grammar of the compiled language
and simplifies debugging. Secondly, the framework generates tree-walker
classes using an extended version of the visitor design pattern which
enables the implementation of actions on the nodes of the abstract
syntax tree using inheritance. These two design decisions lead to a tool
that supports a shorter development cycle for constructing compilers.


%prep
%setup -q


%build
ant jar


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING-LESSER LICENSE README.html THANKS
%{_bindir}/*
%{_javadir}/*


%changelog
* Mon Jun  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.18.2-1jpp
- Update to 2.18.2.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.18.1-1jpp
- Update to 2.18.1.
- Include startup script.
- Fix Group tag.

* Fri Apr 12 2003 David Walluck <david@antti-microsoft.org> 0:2.18.0-2jpp
- fix Vendor tag and add Distribution tag

* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0:2.18.0-1jpp
- 2.18.0

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.16.2-2jpp
- macro section

* Tue Jan 8 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.16.2-1jpp
- first jpp release
